org.apache.ode.bpel.pmapi

## Interface TEndpointReferences

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TEndpointReferencesImpl

      public interface TEndpointReferences
      extends org.apache.xmlbeans.XmlObject

  An XML tEndpointReferences(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TEndpointReferences.EndpointRef` An XML endpoint-ref(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `TEndpointReferences.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TEndpointReferences.EndpointRef` | `addNewEndpointRef()` Appends and returns a new empty value (as xml) as the last "endpoint-ref" element
    `TEndpointReferences.EndpointRef[]` | `getEndpointRefArray()` Deprecated.
    `TEndpointReferences.EndpointRef` | `getEndpointRefArray(int i)` Gets ith "endpoint-ref" element
    `java.util.List<TEndpointReferences.EndpointRef>` | `getEndpointRefList()` Gets a List of "endpoint-ref" elements
    `TEndpointReferences.EndpointRef` | `insertNewEndpointRef(int i)` Inserts and returns a new empty value (as xml) as the ith "endpoint-ref" element
    `void` | `removeEndpointRef(int i)` Removes the ith "endpoint-ref" element
    `void` | `setEndpointRefArray(int i, TEndpointReferences.EndpointRef endpointRef)` Sets ith "endpoint-ref" element
    `void` | `setEndpointRefArray(TEndpointReferences.EndpointRef[] endpointRefArray)` Sets array of all "endpoint-ref" element
    `int` | `sizeOfEndpointRefArray()` Returns number of "endpoint-ref" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getEndpointRefList

          java.util.List<TEndpointReferences.EndpointRef> getEndpointRefList()

      Gets a List of "endpoint-ref" elements

    - #### getEndpointRefArray

          @Deprecated
          TEndpointReferences.EndpointRef[] getEndpointRefArray()

      Deprecated.
      Gets array of all "endpoint-ref" elements

    - #### getEndpointRefArray

          TEndpointReferences.EndpointRef getEndpointRefArray(int i)

      Gets ith "endpoint-ref" element

    - #### sizeOfEndpointRefArray

          int sizeOfEndpointRefArray()

      Returns number of "endpoint-ref" element

    - #### setEndpointRefArray

          void setEndpointRefArray(TEndpointReferences.EndpointRef[] endpointRefArray)

      Sets array of all "endpoint-ref" element

    - #### setEndpointRefArray

          void setEndpointRefArray(int i,
                                 TEndpointReferences.EndpointRef endpointRef)

      Sets ith "endpoint-ref" element

    - #### insertNewEndpointRef

          TEndpointReferences.EndpointRef insertNewEndpointRef(int i)

      Inserts and returns a new empty value (as xml) as the ith "endpoint-ref" element

    - #### addNewEndpointRef

          TEndpointReferences.EndpointRef addNewEndpointRef()

      Appends and returns a new empty value (as xml) as the last "endpoint-ref" element

    - #### removeEndpointRef

          void removeEndpointRef(int i)

      Removes the ith "endpoint-ref" element